require "evas"
require "ecore"
require "ecore_x"
require "ecore_evas"
require "/home/tilman/devel/apanwm/src/resizer.rb"

def on_ee_resize_move(ee)
	x, y, w, h = ee.geometry

	ee.evas.find_object("resizer").resize(w, h)
end

def main
	ee = Ecore::Evas::SoftwareX11.new
	ee.title = "ruby-evas/ecore/esmart \o/"
	ee.borderless = true

	ee.on_resize { on_ee_resize_move(ee) }
	ee.on_move { on_ee_resize_move(ee) }

	resizer = Resizer.new(ee.evas)
	resizer.name = "resizer"
	resizer.show

	ee.resize(200, 200)
	ee.show

	Ecore::main_loop_begin
end

main
