require "ecore"
require "ecore_x"

win = Ecore::X::Window.new(nil, 100, 100, 100, 100)
win.set_protocol(Ecore::X::WmProtocol::DELETE_REQUEST, true)
win.set_event_mask(1 << 21)
win.show

puts Ecore::X::EventMask::KEY_DOWN
puts Ecore::X::WmProtocol::TAKE_FOCUS

Ecore::EventHandler.new(Ecore::X::WINDOW_FOCUS_IN) do |ev|
	puts "focus in!"
end

Ecore::EventHandler.new(Ecore::X::WINDOW_FOCUS_OUT) do |ev|
	puts "focus out!"
end

Ecore::EventHandler.new(Ecore::X::WINDOW_DELETE_REQUEST) do |ev|
	puts "delete request!"
	Ecore::main_loop_quit
end

Ecore::main_loop_begin
